Subject: bug#73425: 31.0.50; Support images in HTML versions of ELPA package manuals

From: Mats Lidell <[email-masked]>
Date: Sun, 20 Apr 2025 11:20:03 +0200

> Eli Zaretskii writes:
> > From: Mats Lidell <[email-masked]>
> > Cc: Philip Kaludercic <[email-masked]>,  Eli Zaretskii <[email-masked]>,
> >   [email-masked],  [email-masked],  Robert Weiner
> >  <[email-masked]>
> > Date: Fri, 18 Apr 2025 23:35:38 +0200
> > 
> >  - We use another css which is stored on the same level as the texi-file, in
> >    the man-folder. The css is missed and a "standard" css is used instead. So
> >    the formatting is not the expected but it is not bad.
> > 
> >    I guess having different css for each package will add some extra
> >    complexity, it has to be passed to the texinfo command line I think, but
> >    might be possible to support? WDYT?
> > 
> >    Not to mention that our css is for texinfo 7 so not sure how that would
> >    look with texinfo 6.8 that is currently used on ELPA.
>
> Texinfo supports use of non-default CSS, see the node "HTML CSS" in
> the Texinfo manual.

Yes. We use that for the HTML we generate and bundle with Hyperbole. But that
is "missed" when ELPA generates the HTML since it does not use the CSS we
supply.

However, I understand that having the same CSS for all manuals is a good idea
and, as Bob pointed out in separate reply, the issues we had in the past seems
to have been solved in that CSS. So we are good without my suggestion.

%% Mats